![Demo Snapshot](https://github.com/jala886/20220531-jian-li-NYCSchools/blob/main/Demo%20Snapshot/)
This is  a demo for a school Informations 


## 🚀 Features
```
SwiftUI
WebKit Embed
TDD development
```
### 🖼 Overlays
```
Based on MVVM pattern
    * View
        SchoolListView
        DetailSchoolView
            embed the home website of school
            ❗️(it's slow and need 2-5s to load)
            ❗️ToDo❗️:
                embed mapkit to show school location
                
    * ViewModel
    * Model
        defined data structur
    * Network
        download data
        ❗️ToDo❗️:
            used API,
            parse HTML by SwiftSoup 

TDD: Coveage Rate >90%  =98%
    20220531-jian&li-NYCSchoolsTests:
        testSchoolListViewModel:
            mock data for load school list
        testSchoolSATViewModel
            mock data for load SAT data
    NYCSchoolsUITests:
        testSwitchBetween1And2:
            simulated switch between screen 1 and screen 2
```
### 🛠 Appearance / Behavior Customization
![Demo Snapshot](https://github.com/jala886/20220531-jian-li-NYCSchools/blob/main/Demo%20Snapshot/DetailView.png)

### 👀 Adapt visibility of:


### 🪄 Custom controls


## 💻 Supported Platforms

| 📱 | iOS 13+ |
| :-: | :-: |
| 🖥 | **macOS 10.15+** | 
| 📺 | **tvOS 13+** |
| ⌚️ | **watchOS 6+** |



### 📌 Annotations: The old-fashioned approach



## 🔩 Installation


## ✍️ Author

Jian Li

## 📄 License

